#
# spec file for package lua-luaposix
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
%define pack_version 33.2.1

Name:           lua-luaposix
Version:        %{pack_version}
Release:        1.2
Summary:        POSIX library for Lua
Group:          Development/Libraries/Other
License:        MIT
Url:            https://github.com/luaposix/luaposix
Source0:        https://github.com/luaposix/luaposix/archive/release-v%{version}.tar.gz

BuildRequires:  lua-devel >= %{lua_version}
Requires:       lua >= %{lua_version}
BuildRequires:  ncurses-devel
BuildRequires:  automake
BuildRequires:  autoconf
Recommends:	lua-luaposix-doc = %pack_version
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

Patch1:		install_path.patch

%description
This is a POSIX library for Lua which provides access to many POSIX features
to Lua programs.

%package doc
Summary:	Documentation on luaposix
Group:		Documentation/HTML
Version:	%{pack_version}
Release:	1.2
# Work around SLE-11 rpm not supporting noarch sub packages.
%if 0%{?suse_version} >= 1310
BuildArch:	noarch
%endif

%description doc
This package contains the documentation for lua-luaposix.

%prep
%setup -n luaposix-release-v%{version}
%patch1

%build
autoreconf
%configure --libdir=%{lua_archdir} --datadir=%{lua_noarchdir} --docdir=%{_docdir}
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{lua_archdir}/*.la

%check
%if 0%{?suse_version} >= 1310
make check
%endif

%files
%defattr(-,root,root,-)
%doc README ChangeLog NEWS
%dir %{_docdir}/examples
%dir %{_docdir}/modules
%dir %{_docdir}/classes
%dir %{lua_noarchdir}/posix
%{lua_archdir}/*.so
%{lua_noarchdir}/*.lua
%{lua_noarchdir}/posix/*.lua

%files doc
%defattr(-,root,root,-)
%doc %{_docdir}/classes/posix.curses.*.html
%doc %{_docdir}/examples/*.lua.html
%doc %{_docdir}/modules/posix.*.html
%doc %{_docdir}/modules/posix.html
%doc %{_docdir}/index.html
%doc %{_docdir}/ldoc.css

%changelog
* Wed Jan  4 2017 eich@suse.com
- Replaced 'makeinstall' by 'make_install'.
- Removed %%clean section.
- Replaced Documentation/http by Documentation/HTML.
* Mon Oct 17 2016 eich@suse.com
- Setting 'download_files' service to mode='localonly'
  and adding source tarball. (Required for Factory).
* Tue Oct 11 2016 eich@suse.com
- Initial version of lua-luaposix: 33.2.1.
